<MainScreen>:
    clock_label: clock
    version_label: version

    BoxLayout:
        orientation: 'vertical'
        FloatLayout:
            size_hint_y: None
            size: root.x, 80

            Label:
                pos: root.x - 320, 400
                size_hint_y: None
                size: 80, 80
                text: 'AP:  RPi\nPassword: password'

            Button:
                size_hint: None, None
                size: 80, 80
                pos_hint: {'top': 1, 'right': 1}
                text: 'X'
                on_release: root.exit_app()

        BoxLayout:
            Image:
                source: 'res/logos/focus.jpeg'
            Label:
                size_hint_x: 3
                id: clock
                font_size: '30dp'
                text: ''
            Image:
                source: 'res/logos/continental.png'

        BoxLayout:
            orientation: 'horizontal'

            Button:
                text: 'Music'
                on_release:
                    root.manager.transition.direction = 'left'
                    root.manager.current = 'MusicPlayerScreen'

            Button:
                text: 'Radio'
                on_release:
                    root.manager.transition.direction = 'left'
                    root.manager.current = 'OnlineRadioScreen'


            Button:
                text: 'Weather'
                on_release:
                    root.manager.transition.direction = 'left'
                    root.manager.current = 'WeatherScreen'


            Button:
                text: 'Maps'
                on_release:
                    root.manager.transition.direction = 'left'
                    root.manager.current = 'MapsScreen'

            Button:
                id: firmware
                text: 'Firmware Update'
                disabled: True
                on_release:
                    root.manager.transition.direction = 'left'
                    root.manager.current = 'UpdateScreen'

        Label:
            id: version
            size_hint: None, None
            size: 140, 30
            pos_hint: {'top': 0, 'right': 1}
            text: 'v.20180000000000'
